<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Frame](./puppeteer.frame.md) &gt; [\_navigatedWithinDocument](./puppeteer.frame._navigatedwithindocument.md)

## Frame.\_navigatedWithinDocument() method

<b>Signature:</b>

```typescript
_navigatedWithinDocument(url: string): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  url | string |  |

<b>Returns:</b>

void

